Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /daysTrade

charts probe ok

Day trade tape for one symbol.

Used by UI: —

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/daysTrade' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d 'symbol={{symbol}}'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "daysTrade",
    "url": "https://www.cse.lk/api/daysTrade",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:37.074436+00:00",
    "fingerprint": {
      "type": "array",
      "len": 319,
      "item_keys": [
        "change",
        "changePercentage",
        "closingPrice",
        "hiTrade",
        "id",
        "lastTradedTime",
        "lowTrade",
        "previousClose",
        "price",
        "quantity",
        "securityId",
        "symbol",
        "time",
        "tradeDate"
      ]
    }
  },
  "response": {
    "_truncated": true,
    "_note": "payload exceeded 12000 bytes; keys only",
    "keys": "list",
    "preview": "[{\"id\": 57281333, \"hiTrade\": 20.2, \"lowTrade\": 19.9, \"lastTradedTime\": 1784192360780, \"changePercentage\": 0.5025125628140703, \"price\": 20.0, \"quantity\": 1, \"change\": 0.1, \"closingPrice\": 20.0, \"previousClose\": 19.9, \"securityId\": 297, \"tradeDate\": 1784193136000, \"symbol\": null, \"time\": \"02:29:20\"}, {\"id\": 57281236, \"hiTrade\": 20.2, \"lowTrade\": 19.9, \"lastTradedTime\": 1784192313816, \"changePercentage\": 1.0050251256281406, \"price\": 20.1, \"quantity\": 10, \"change\": 0.2, \"closingPrice\": 20.0, \"previousClose\": 19.9, \"securityId\": 297, \"tradeDate\": 1784193126000, \"symbol\": null, \"time\": \"02:28:33\"}, {\"id\": 57280692, \"hiTrade\": 20.2, \"lowTrade\": 19.9, \"lastTradedTime\": 1784192094897, \"changePercentage\": 0.5025125628140703, \"price\": 20.0, \"quantity\": 100000, \"change\": 0.1, \"closingPrice\": 20.0, \"previousClose\": 19.9, \"securityId\": 297, \"tradeDate\": 1784192985000, \"symbol\": null, \"time\": \"02:24:54\"}, {\"id\": 57280593, \"hiTrade\": 20.2, \"lowTrade\": 19.9, \"lastTradedTime\": 1784192042930, \"changePercentage\": 0.5025125628140703, \"price\": 20.0, \"quantity\": 1000, \"change\": 0.1, \"closingPrice\": 20.0, \"previousClose\": 19.9, \"securityId\": 297, \"tradeDate\": 1784192963000, \"symbol\": null, \"time\": \"02:24:02\"}, {\"id\": 57280595, \"hiTrade\": 20.2, \"lowTrade\": 19.9, \"lastTradedTime\": 1784192042930, \"changePercentage\": 0.5025125628140703, \"price\": 20.0, \"quantity\": 46383, \"change\": 0.1, \"closingPrice\": 20.0, \"previousClose\": 19.9, \"securityId\": 297, \"tradeDate\": 1784192963000, \"symbol\": null, \"time\": \"02:24:02\"}, {\"id\": 57280594, \"hiTrade\": 20.2, \"lowTrade\": 19.9, \"lastTradedTime\": 1784192042930, \"changePercentage\": 0.5025125628140703, \"price\": 20.0, \"quantity\": 1000, \"change\": 0.1, \"closingPrice\": 20.0, \"previousClose\": 19.9, \"securityId\": 297, \"tradeDate\": 1784192963000, \"symbol\": null, \"time\": \"02:24:02\"}, {\"id\": 57280592, \"hiTrade\": 20.2, \"lowTrade\": 19.9, \"lastTradedTime\": 1784192042930, \"changePercentage\": 0.5025125628140703, \"price\": 20.0, \"quantity\": 100, \"change\": 0.1, \"closingPrice\": 2"
  }
}